package com.cm.common.plugin.pojo.vos.dynamic.config.form;

import com.cm.common.annotation.CheckBooleanAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: FieldShowVO
 * @Description: 字段显示
 * @Author: WangGeng
 * @Date: 2019/12/8 11:08 下午
 * @Version: 1.0
 **/
@ApiModel
public class FieldShowVO {

    @ApiModelProperty(name = "isShow", value = "显示")
    @CheckBooleanAnnotation(name = "显示")
    private Boolean isShow;

    public Boolean getShow() {
        return isShow;
    }

    public void setShow(Boolean show) {
        isShow = show;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"isShow\":")
                .append(isShow);
        sb.append('}');
        return sb.toString();
    }
}
